| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::TonemapDrago Class Referenceabstract
Computational Photography » HDR imaging

Adaptive logarithmic mapping is a fast global tonemapping algorithm that scales the image in logarithmic domain. More...

`#include <opencv2/photo.hpp>`

Inheritance diagram for cv::TonemapDrago:

## Public Member Functions
virtual float | getBias () const =0
virtual float | getSaturation () const =0
virtual void | setBias (float bias)=0
virtual void | setSaturation (float saturation)=0
Public Member Functions inherited from cv::Tonemap
virtual float | getGamma () const =0
virtual void | process (InputArray src, OutputArray dst)=0
| Tonemaps image. More...
virtual void | setGamma (float gamma)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Adaptive logarithmic mapping is a fast global tonemapping algorithm that scales the image in logarithmic domain.

Since it's a global operator the same function is applied to all the pixels, it is controlled by the bias parameter.

Optional saturation enhancement is possible as described in [60] .

For more information see [50] .

## Member Function Documentation

## § getBias()

virtual float cv::TonemapDrago::getBias | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.TonemapDrago.getBias( |  | )

## § getSaturation()

virtual float cv::TonemapDrago::getSaturation | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.TonemapDrago.getSaturation( |  | )

## § setBias()

virtual void cv::TonemapDrago::setBias | ( | float | bias | ) |
| pure virtual

Python:
| None | = | cv.TonemapDrago.setBias( | bias | )

## § setSaturation()

virtual void cv::TonemapDrago::setSaturation | ( | float | saturation | ) |
| pure virtual

Python:
| None | = | cv.TonemapDrago.setSaturation( | saturation | )

The documentation for this class was generated from the following file:

- opencv2/photo.hpp